## Shared module ##
Overview = require 'overview'

Overview.scaleForiPhone6 = 0.96
Overview.scaleForiPhone5 = 0.70

## EVENTS LISTS ##
eventsLists = [
	{
	color: Overview.blue
	lists: [{
				title: "Click & Double Click"
				items: ["onClick","onDoubleClick"]
			}
			{
				title: "Mouse wheel"
				items: ["onMouseWheel"]
			}]
	}
	{
	color: Overview.green
	lists: [{
				title: "Mouse"
				items: ["onMouseOver","onMouseMove","onMouseOut","onMouseDown","onMouseUp"]
			}]
	}
	{
	color: Overview.orange
	lists: [{
				title: "Touch"
				items: ["onTouchStart","onTouchMove","onTouchEnd"]
			}]
	}
]

Overview.makeEventsLists eventsLists

## Reflow for phones ##
Overview.reflow()

if Utils.isPhone() or (Framer.Device.deviceType.substring 0, 12) is "apple-iphone"
	layerA.size = 120
	if Screen.height < 667
		layerA.size = 100

## EVENTS ##
layerA.onClick ->
	Overview.alldots[0].stateSwitch "active"
	Overview.alldots[0].animate "default"

layerA.onDoubleClick ->
	Overview.alldots[1].stateSwitch "active"
	Overview.alldots[1].animate "default"

layerA.onMouseWheel ->
	Overview.alldots[2].stateSwitch "active"
	Overview.alldots[2].animate "default"

layerA.onMouseOver ->
	Overview.alldots[3].stateSwitch "active"
	Overview.alldots[3].animate "default"

layerA.onMouseMove ->
	Overview.alldots[4].stateSwitch "active"
	Overview.alldots[4].animate "default"

layerA.onMouseOut ->
	Overview.alldots[5].stateSwitch "active"
	Overview.alldots[5].animate "default"

layerA.onMouseDown ->
	Overview.alldots[6].stateSwitch "active"
	Overview.alldots[6].animate "default"

layerA.onMouseUp ->
	Overview.alldots[7].stateSwitch "active"
	Overview.alldots[7].animate "default"

layerA.onTouchStart ->
	Overview.alldots[8].stateSwitch "active"
	Overview.alldots[8].animate "default"

layerA.onTouchMove ->
	Overview.alldots[9].stateSwitch "active"
	Overview.alldots[9].animate "default"

layerA.onTouchEnd ->
	Overview.alldots[10].stateSwitch "active"
	Overview.alldots[10].animate "default"

